#
# Conditional build:
%bcond_with	unity	# Unity integration (messaging-menu)

Summary:	Geary - mail client for GNOME 3
Summary(pl.UTF-8):	Geary - klient pocztowy dla GNOME 3
Name:		geary
Version:	40.0
Release:	4
License:	LGPL v2.1+
Group:		X11/Applications/Mail
Source0:	https://download.gnome.org/sources/geary/40/%{name}-%{version}.tar.xz
# Source0-md5:	cb7b0af62e870ef77d65b3a2631ebb55
Patch0:		%{name}-meson.patch
Patch1:		vala.patch
URL:		https://wiki.gnome.org/Apps/Geary
BuildRequires:	appstream-glib-devel >= 0.7.10
BuildRequires:	cairo-devel
BuildRequires:	desktop-file-utils
BuildRequires:	enchant2-devel >= 2.1
BuildRequires:	folks-devel >= 0.11
BuildRequires:	gcr-devel >= 3.10.1
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.66
BuildRequires:	gmime3-devel >= 3.2.4
BuildRequires:	gnome-online-accounts-devel
BuildRequires:	gspell-devel
BuildRequires:	gsound-devel
BuildRequires:	gtk+3-devel >= 3.24.23
BuildRequires:	gtk-webkit4-devel >= 2.30
BuildRequires:	iso-codes
BuildRequires:	json-glib-devel >= 1.0
BuildRequires:	libcanberra-devel >= 0.28
BuildRequires:	libgee-devel >= 0.8.5
BuildRequires:	libhandy1-devel >= 1.2.1
BuildRequires:	libicu-devel >= 60
%{?with_unity:BuildRequires:	indicator-messages-devel >= 12.10}
BuildRequires:	libnotify-devel >= 0.7.5
BuildRequires:	libpeas-devel >= 1.24.0
BuildRequires:	libpeas-gtk-devel >= 1.24.0
BuildRequires:	libsecret-devel >= 0.11
BuildRequires:	libsoup-devel >= 2.48
BuildRequires:	libstemmer-devel
BuildRequires:	libunwind-devel >= 1.1
BuildRequires:	libxml2-devel >= 1:2.7.8
BuildRequires:	libytnef-devel >= 1.9.3
BuildRequires:	meson >= 0.55
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel >= 3.24
BuildRequires:	tar >= 1:1.22
BuildRequires:	vala >= 2:0.48.11
BuildRequires:	vala-folks >= 0.11
BuildRequires:	vala-gcr >= 3.10.1
BuildRequires:	vala-gmime3 >= 3.2.4
BuildRequires:	vala-gnome-online-accounts
BuildRequires:	vala-gsound
BuildRequires:	vala-gspell
%{?with_unity:BuildRequires:	vala-indicator-messages >= 12.10}
BuildRequires:	vala-libcanberra >= 0.28
BuildRequires:	vala-libgee >= 0.8.5
BuildRequires:	vala-libhandy1 >= 1.2.1
BuildRequires:	vala-libsecret >= 0.11
BuildRequires:	valadoc
BuildRequires:	xz
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.66
Requires(post,postun):	gtk-update-icon-cache
Requires:	appstream-glib >= 0.7.10
Requires:	enchant2 >= 2.1
Requires:	folks >= 0.11
Requires:	gcr >= 3.10.1
Requires:	glib2 >= 1:2.66
Requires:	gmime3 >= 3.2.4
Requires:	gtk+3 >= 3.24.23
Requires:	gtk-webkit4 >= 2.30
Requires:	hicolor-icon-theme
%{?with_unity:Requires:	indicator-messages-libs >= 12.10}
Requires:	iso-codes
Requires:	json-glib >= 1.0
Requires:	libcanberra >= 0.28
Requires:	libgee >= 0.8.5
Requires:	libhandy1 >= 1.2.1
Requires:	libpeas >= 1.24.0
Requires:	libpeas-gtk >= 1.24.0
Requires:	libsecret >= 0.11
Requires:	libsoup >= 2.48
Requires:	libunwind >= 1.1
Requires:	libxml2 >= 1:2.7.8
Requires:	libytnef >= 1.9.3
Requires:	sqlite3 >= 3.24
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Geary is an email application built around conversations, for the
GNOME 3 desktop. It allows you to read, find and send email with a
straightforward, modern interface.

%description -l pl.UTF-8
Geary to aplikacja do poczty elektronicznej, oparta na rozmowach,
przeznaczona dla środowiska graficznego GNOME 3. Pozwala na czytanie,
wyszukiwanie i wysyłanie wiadomości z bezpośrednim, współczesnym
interfejsem.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%if %{without unity}
%{__sed} -i -e '/^subdir.*messaging-menu/ d' src/client/plugin/meson.build
%endif

%build
CPPFLAGS="%{rpmcppflags} -I/usr/include/libstemmer"
%meson build \
	--default-library=shared \
	-Dprofile=release \
	-Dvaladoc=enabled

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_desktop_database
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING.icons NEWS README.md THANKS
%attr(755,root,root) %{_bindir}/geary
%dir %{_libdir}/geary
%attr(755,root,root) %{_libdir}/geary/libgeary-client-40.0.so
%dir %{_libdir}/geary/web-extensions
%attr(755,root,root) %{_libdir}/geary/web-extensions/libgeary-web-process.so
%dir %{_libdir}/geary/plugins

%dir %{_libdir}/geary/plugins/desktop-notifications
%attr(755,root,root) %{_libdir}/geary/plugins/desktop-notifications/libdesktop-notifications.so
%{_libdir}/geary/plugins/desktop-notifications/desktop-notifications.plugin

%dir %{_libdir}/geary/plugins/email-templates
%attr(755,root,root) %{_libdir}/geary/plugins/email-templates/libemail-templates.so
%{_libdir}/geary/plugins/email-templates/email-templates.plugin

%dir %{_libdir}/geary/plugins/folder-highlight
%attr(755,root,root) %{_libdir}/geary/plugins/folder-highlight/libfolder-highlight.so
%{_libdir}/geary/plugins/folder-highlight/folder-highlight.plugin

%dir %{_libdir}/geary/plugins/mail-merge
%attr(755,root,root) %{_libdir}/geary/plugins/mail-merge/libmail-merge.so
%{_libdir}/geary/plugins/mail-merge/mail-merge.plugin

%dir %{_libdir}/geary/plugins/notification-badge
%attr(755,root,root) %{_libdir}/geary/plugins/notification-badge/libnotification-badge.so
%{_libdir}/geary/plugins/notification-badge/notification-badge.plugin

%dir %{_libdir}/geary/plugins/sent-sound
%attr(755,root,root) %{_libdir}/geary/plugins/sent-sound/libsent-sound.so
%{_libdir}/geary/plugins/sent-sound/sent-sound.plugin

%dir %{_libdir}/geary/plugins/special-folders
%attr(755,root,root) %{_libdir}/geary/plugins/special-folders/libspecial-folders.so
%{_libdir}/geary/plugins/special-folders/special-folders.plugin

%{_datadir}/dbus-1/services/org.gnome.Geary.service
%{_datadir}/geary
%{_datadir}/glib-2.0/schemas/org.gnome.Geary.gschema.xml
%{_datadir}/metainfo/org.gnome.Geary.appdata.xml
%{_desktopdir}/org.gnome.Geary.desktop
%{_desktopdir}/geary-autostart.desktop
%{_iconsdir}/hicolor/scalable/actions/close-symbolic.svg
%{_iconsdir}/hicolor/scalable/actions/detach-symbolic.svg
%{_iconsdir}/hicolor/scalable/actions/edit-symbolic.svg
%{_iconsdir}/hicolor/scalable/actions/font-color-symbolic.svg
%{_iconsdir}/hicolor/scalable/actions/font-size-symbolic.svg
%{_iconsdir}/hicolor/scalable/actions/format-*-symbolic*.svg
%{_iconsdir}/hicolor/scalable/actions/mail-*-symbolic*.svg
%{_iconsdir}/hicolor/scalable/actions/marker-symbolic.svg
%{_iconsdir}/hicolor/scalable/actions/tag-symbolic*.svg
%{_iconsdir}/hicolor/scalable/actions/text-x-generic-symbolic.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Geary.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Geary-symbolic.svg
%changelog
* Tue Jun 07 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/geary.git;a=log;h=master

* Tue Jun 07 2022 Jan Palus <atler@pld-linux.org> e6c74f4
- icu rebuild

* Tue Jun 07 2022 Jan Palus <atler@pld-linux.org> e47c8b4
- upstream fixes for new vala

* Wed Jan 19 2022 Jan Palus <atler@pld-linux.org> 4895180
- icu rebuild

* Wed Jan 19 2022 Jan Palus <atler@pld-linux.org> 791478d
- BR: vala-gsound

* Thu Aug 12 2021 Jan Palus <atler@pld-linux.org> b94e570
- icu rebuild

* Fri Apr 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 413d3fb
- updated to 40.0

* Sat Apr 17 2021 Jan Rękorajski <baggins@pld-linux.org> 4c0aef0
- Release 2 (by relup.sh)

* Sun Feb 07 2021 Jakub Bogusz <qboosh@pld-linux.org> 3a18b2c
- updated to 3.38.2

* Sun Oct 04 2020 Jakub Bogusz <qboosh@pld-linux.org> ce2ebe9
- updated to 3.38.1
- updated meson patch

* Fri Aug 28 2020 Jakub Bogusz <qboosh@pld-linux.org> d02bfe4
- updated to 3.36.3.1 (fixes CVE-2020-24661)

* Mon May 04 2020 Jakub Bogusz <qboosh@pld-linux.org> 8995738
- updated to 3.36.2

* Sun Nov 24 2019 Jakub Bogusz <qboosh@pld-linux.org> c5d5f31
- updated to 3.34.2

* Sat Nov 23 2019 Jakub Bogusz <qboosh@pld-linux.org> 0b5637d
- added meson patch (define geary-web-process module explicitly as shared; default "both" causes strange failure)

* Sat Nov 23 2019 Jakub Bogusz <qboosh@pld-linux.org> 6a81f65
- updated to 3.34.1; now uses meson

* Mon May 11 2015 Łukasz Kieś <kiesiu@pld-linux.org> 8537f67
- updated to 0.10.0
- new URL, better Summary and Description

* Mon Dec 22 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 259db86
- Update to 0.8.3

* Sun Nov 02 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 3b7a7d3
- Add BR: vala-gcr >= 3.10.1

* Sun Nov 02 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 1889a27
- Update to 0.8.1

* Wed Apr 10 2013 Elan Ruusamäe <glen@delfi.ee> 2ea0025
- BR vala-libcanberra

* Wed Apr 10 2013 Elan Ruusamäe <glen@delfi.ee> 6813742
- up to 0.3.1

